package main

import (
	"fmt"
	"time"
	"strconv"
	"math/rand"
)

func roll(number int, dice int) []int {
	var result []int = make([]int,0)

	for i:=0; i<number;i++ {
		result = append(result, rand.Intn(dice)+1)
	}
	
	return result
}

func total(numbers []int) int {
	var result int
	for _, v := range(numbers) {
		result+=v
	}
	return result
}

func main(){
	rand.Seed(time.Now().UnixNano())

	var input string

	fmt.Println("Gimme a roll:")
	fmt.Scan(&input)
	
	var inputRunes []rune = []rune(input)
	
	var result []int
	
	for i, v := range(inputRunes) {
		if v == 'd' {
			number, _ := strconv.Atoi(string(inputRunes[:i]))
			dice, _ := strconv.Atoi(string(inputRunes[i+1:]))
			result = roll(number, dice)
		}
	}

	fmt.Println("Rolled: ", result)
	fmt.Println("Total: ", total(result))
}

