package main

import (
	"fmt"
	"os"
)

func main(){
	if len(os.Args) != 2 {
		fmt.Println("syntax: pangram \"<phrase>\"")
		return
	}
	
	var mappa map[rune]bool = make(map[rune]bool)
	
	var inputRunes []rune = []rune(os.Args[1])
	
	for _, v := range(inputRunes) {
		if v >= 'a' && v <= 'z' {
			mappa[v] = true
		}
	}
	
	if len(mappa) == 26 {
		fmt.Println("The line IS a pangram")
	} else {
		fmt.Println("The line is NOT a pangram")
	}
}

