package main

import (
	"fmt"
	"time"
	"math/rand"
)

func pick() rune {
	switch rand.Intn(3) {
		case 0:
			return 's'
		case 1:
			return 'c'
		default:
			return 'f'
	}
}

func total(results []int) (int, int, int) {
	var p,c,e int

	for _,v := range(results) {
		switch v {
			case 0:
				e++
			case 1:
				p++
			case 2:
				c++
		}
	}
	
	return p, c, e
}

func main(){
	rand.Seed(time.Now().UnixNano())
	
	var risultati []int = make([]int, 0)
	
	for {
		fmt.Println("(s)asso, (c)arta, (f)orbice?")
		var choice rune
		fmt.Scanf("%c\n", &choice)

		if choice == '0' {
			var p, c, e int = total(risultati)
			var tt float64 = float64(p+c+e)
			fmt.Printf("%f%% vittorie / %f%% sconfitte / %f%% pareggi\n",100*float64(p)/tt, 100*float64(c)/tt, 100*float64(e)/tt)
			return
		}
		
		var cpu rune = pick()

		switch {
			case choice == cpu:
				fmt.Println("Anche io, pareggio")
				risultati = append(risultati, 0)
			case choice == 's' && cpu == 'f', choice == 'c' && cpu == 's', choice == 'f' && cpu == 'c':
				fmt.Println("Argh, ho scelto "+string(cpu)+", hai vinto tu...")
				risultati = append(risultati, 1)
			default:
				fmt.Println("Ho scelto "+string(cpu)+", vinco io gnegne!")
				risultati = append(risultati, 2)
		}
		
	}
}

