package main

import "fmt"

var conversionTable = map[int]string{
	1000: "M",
	900:  "CM",
	500:  "D",
	400:  "CD",
	100:  "C",
	90:   "XC",
	50:   "L",
	40:   "XL",
	10:   "X",
	9:    "IX",
	5:    "V",
	4:    "IV",
	1:    "I",
}

func arabToRoman(arab int) string {
	var maxDivisor int
	var maxValue string

	for i, v := range conversionTable {
		if i <= arab {
			if i > maxDivisor {
				maxDivisor = i
				maxValue = v
			}
		}
	}

	if(maxDivisor > 0) {
		return maxValue+arabToRoman(arab-maxDivisor)
	}
	
	return ""
}

func main(){
	var arab int

	fmt.Println("Insert an arab number")
	fmt.Scanf("%d", &arab)

	fmt.Println("in roman: ", arabToRoman(arab))
}

