package main

import "fmt"

var namesAndNicks = map[string]string{
	"Frank Sinatra": "the voice",
	"Gennaro Gattuso": "Ringhio",
	"Sandro Filipepi": "Botticelli",
	"Margareth Thatcher": "The Iron Lady",
	"Alfonso Capone": "Scarface",
	"Niccolò Fontana": "Tartaglia",
	"Ernesto Guevara": "Che",
}

func nickname(name string, nickname string) string {
	var nameRunes []rune = []rune(name)
	for i, v := range(nameRunes) {
		if v == ' ' {
			return string(nameRunes[:i])+" ("+nickname+") "+string(nameRunes[i+1:])
		}
	}
	
	return "" //anche se non ci arriva mai, go non lo sa e RICHIEDE un return sicuro alla fine
}

func mergeName(namesAndNicks map[string]string, nickname func(string, string)string) []string {
	var result []string = make([]string, 0)
	
	for i, v := range(namesAndNicks) {
		result = append(result, nickname(i, v))
	}
	
	return result
}

func main(){
	fmt.Println(mergeName(namesAndNicks, nickname))
}

